<style>
.blog_logo_tag{
    position: absolute;
    line-height: 1;
    font-size: 14px;
    right: -51px;
    display: block;
    top: 50%;
    margin-top: -7px;
    color: #fff;
}
</style>
<template>
    <nav class="header_nav">
        <div class="header_nav_ct">
            <router-link class="logo" :to="{name: 'app'}">
                <span class="blog_logo_tag">{{ lang.blog }}</span>
            </router-link>
            <div class="hd_actions">
                <a class="lang_icon" href="http://www.eosforce.io/" v-bind:href="get_portal_href()" target="_blank">{{ lang.portal }}</a>

                <div class="dw_nav_item">
                    <div class="dw_nav_item_tt">
                        <a href="javascript:;" class="lang_icon" target="_blank" v-for="item in langs" v-if="item.selected">{{ item.text  }}</a>
                        <span class="nav_dw_arrow"></span>
                    </div>
                    <div class="dw_nav_list">
                        <a class="dw_nav_child" v-for="item in langs" v-bind:class="{'dw_nav_selected': item.selected}"  target="_blank" @click="exchange(item)">{{ item.text }}</a>
                    </div>
                </div>

            </div>
        </div>
        <mobile_nav v-bind:params="routers" v-bind:exchang_lang="exchange_lang" v-on:exchange_lang="exchange"></mobile_nav>
    </nav>
</template>
<script>
import '../../assets/css/index.css'
import '../../assets/css/eos_blog.css'
import '../../assets/css/fadeload.css'
import '../../assets/css/mobile.css'
import '../../assets/css/eos_blog_mobile.css'
import '../../assets/css/hljs.css'
import '../../assets/image/web/favicon.ico'
import { lang, set_lang } from '../../data/lang.js'
import mobile_nav from './blog_mobile_nav.vue'
export default {
    data () {
        return {
            exchange_lang: lang.exchange_lang,
            lang: lang.data,
            langs: lang.langs,
            router_name: null,
            routers: [
                {
                    router_name: 'monitor_view',
                    name: lang.data.monitor,
                    is_select: false
                },
                {
                    router_name: 'block_view',
                    name: lang.data.blocks,
                    is_select: false
                },
                {
                    router_name: 'transaction_view',
                    name: lang.data.transactions,
                    is_select: false
                },
                {
                    router_name: 'accounts_view',
                    name: lang.data.accounts,
                    is_select: false
                },
                {
                    router_name: 'web_wallet_view',
                    name: lang.data.web_wallet_view,
                    is_select: false
                },
                {
                    router_name: 'eth_eos_mapping',
                    name: lang.data.map_search,
                    is_select: false
                }
            ]
        }
    },
    components: {
        mobile_nav
    },
    mounted () {
        this.init_router_name();
    },
    watch: {
        '$route.name' () {
            this.init_router_name();
        }
    },
    methods: {
        init_router_name () {
            let router_name = this.$route.name;
            this.routers.forEach(item => {
                if(item.router_name == router_name){
                    item.is_select = true;
                }else{
                    item.is_select = false;
                }
            })
        },
        get_portal_href () {
            return 'https://eosforce.io//?lang=' + lang.now_lang.key;
        },
        exchange (item) {
            let key = item.key;
            let new_url = window.location.href.replace(`#/${lang.now_lang.key}`, `#/${key}`);
            window.location.href = new_url;
            set_lang(this.exchange_lang.key, () => {
                window.location.reload(true);
            });
        }
    }  
}
</script>